#!/bin/sh

test -n "$FAILSAFE" && exit
test -z "$(awk 'sub(":","") {print $1}' /proc/net/wireless)" && exit

sleep 1
killall crond
ls >/tmp/cron.we.min -1 /usr/sbin/cron.weimarnetz.minutely.*
ls >/tmp/cron.we.hday -1 /usr/sbin/cron.weimarnetz.halfday.*

FILE="/var/spool/cron/crontabs/root"
TMP="/tmp/cron.tmp"

awk >$TMP '{if(index($0,"minutely")>0){printf $0";";exit}}' $FILE
awk >>$TMP '{printf $0";"}' /tmp/cron.we.min
echo >>$TMP
awk >>$TMP '{if(index($0,"hourly")>0){printf $0;exit}}' $FILE
echo >>$TMP
echo >>$TMP -n "0 */6 * * *      "
awk >>$TMP '{printf $0";"}' /tmp/cron.we.hday
echo >>$TMP
awk >>$TMP '{if(index($0,"daily")>0)printf $0}' $FILE
echo >>$TMP

mv $TMP $FILE
/tmp/cron.we.min
/tmp/cron.we.hday

/usr/sbin/crond -L /dev/null
